Subject: Re: bug#32228: sed -i does not buffer, causing excessive writes

From: Assaf Gordon <[email-masked]>
Date: Fri, 3 Aug 2018 19:18:33 -0600

tags 32228 fixed
close 32228
stop

On 02/08/18 08:40 AM, Jim Meyering wrote:
> On Sat, Jul 21, 2018 at 3:48 AM, Assaf Gordon <[email-masked]> wrote:
>>
>> On 20/07/18 02:23 PM, Vidar Holen wrote:
>>>
>>> I'm using noticing that `sed -i` does not do any kind of output
>>> buffering.
>>
>> I wonder if there are good reasons to explicitly flush all output -
>> ideas anyone?
> 
> Thank you, Assaf. This change looks fine.
> I too tried to determine why that code was written that way to no
> avail. I have no idea what the motivation might have been.

Thanks for the review.

Pushed here:
https://git.savannah.gnu.org/cgit/sed.git/commit/?id=0144eeeb

regards,
  - assaf